package com.simuwang.manage.api.navAsset;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.DistributionPageQuery;
import com.simuwang.base.pojo.dto.query.FundNavAssetPageQuery;
import com.simuwang.base.pojo.vo.DistributionTablePageVO;
import com.simuwang.base.pojo.vo.FundNavAssetVO;
import com.simuwang.manage.service.FundNavAssetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 净值规模管理
 * Author:   chenjianhua
 * Date:     2024/9/15 16:46
 * Description: ${DESCRIPTION}
 */
@RestController
@RequestMapping("/v1/nav-asset")
public class FundNavAssetController {

    @Autowired
    private FundNavAssetService fundNavAssetService;

    /**
     * 基金净值规模页面展示查询
     * @param fundNavAssetPageQuery
     * @return
     */
    @RequestMapping("search-nav-asset-list")
    public MybatisPage<FundNavAssetVO> searchNavAssetList(FundNavAssetPageQuery fundNavAssetPageQuery){
        MybatisPage<FundNavAssetVO> result = fundNavAssetService.searchNavAssetList(fundNavAssetPageQuery);
        return result;
    }

}
