package com.simuwang.manage.service.impl;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.mapper.FundNavAssetMapper;
import com.simuwang.base.pojo.dos.CompanyEmailSendHistoryDO;
import com.simuwang.base.pojo.dos.FundNavAssetDO;
import com.simuwang.base.pojo.dto.query.FundNavAssetPageQuery;
import com.simuwang.base.pojo.vo.FundNavAssetVO;
import com.simuwang.manage.service.FundNavAssetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * FileName: FundNavAssetServiceImpl
 * Author:   chenjianhua
 * Date:     2024/9/15 16:58
 * Description: ${DESCRIPTION}
 */
@Service
public class FundNavAssetServiceImpl implements FundNavAssetService {
    @Autowired
    private FundNavAssetMapper fundNavAssetMapper;
    @Override
    public MybatisPage<FundNavAssetVO> searchNavAssetList(FundNavAssetPageQuery fundNavAssetPageQuery) {
        List<FundNavAssetDO> fundNavAssetDOList = fundNavAssetMapper.searchNavAssetList(fundNavAssetPageQuery);
        List<FundNavAssetVO> fundNavAssetVOList = fundNavAssetDOList.stream().map(FundNavAssetDO::toVo).collect(Collectors.toList());
        long total = fundNavAssetMapper.countNavAssetList(fundNavAssetPageQuery);
        return MybatisPage.of(total,fundNavAssetVOList);
    }
}
